View Javadoc

    1   /*
    2    *  Licensed to the Apache Software Foundation (ASF) under one
    3    *  or more contributor license agreements.  See the NOTICE file
    4    *  distributed with this work for additional information
    5    *  regarding copyright ownership.  The ASF licenses this file
    6    *  to you under the Apache License, Version 2.0 (the
    7    *  "License"); you may not use this file except in compliance
    8    *  with the License.  You may obtain a copy of the License at
    9    *
    10   *    http://www.apache.org/licenses/LICENSE-2.0
    11   *
    12   *  Unless required by applicable law or agreed to in writing,
    13   *  software distributed under the License is distributed on an
    14   *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    15   *  KIND, either express or implied.  See the License for the
    16   *  specific language governing permissions and limitations
    17   *  under the License.
    18   *
    19   */
    20  package org.apache.mina.core.service;
    21
    22  import java.util.EventListener;
    23
    24  import org.apache.mina.core.session.IdleStatus;
    25  import org.apache.mina.core.session.IoSession;
    26
    27  /**
    28   * Listens to events related to an {@link IoService}.
    29   *
    30   * @author <a href="http://mina.apache.org">Apache MINA Project</a>
    31   */
    32  public interface IoServiceListener extends EventListener {
    33      /**
    34       * Invoked when a new service is activated by an {@link IoService}.
    35       *
    36       * @param service the {@link IoService}
    37       */
    38      void serviceActivated(IoService service) throws Exception;
    39
    40      /**
    41       * Invoked when a service is idle.
    42       */
    43      void serviceIdle(IoService service, IdleStatus idleStatus) throws Exception;
    44
    45      /**
    46       * Invoked when a service is deactivated by an {@link IoService}.
    47       *
    48       * @param service the {@link IoService}
    49       */
    50      void serviceDeactivated(IoService service) throws Exception;
    51
    52      /**
    53       * Invoked when a new session is created by an {@link IoService}.
    54       *
    55       * @param session the new session
    56       */
    57      void sessionCreated(IoSession session) throws Exception;
    58
    59      /**
    60       * Invoked when a session is being destroyed by an {@link IoService}.
    61       *
    62       * @param session the session to be destroyed
    63       */
    64      void sessionDestroyed(IoSession session) throws Exception;
    65  }